// Options.cpp: Implementation of COptionsStor class
//
// Copyright (C) 2000 Jeremy Goetsch (jeremy@acz.org)
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//

#include "stdafx.h"
#include "Asmide.h"
//#include "PageEditor.h"
//#include "PageAssembly.h"
//#include "PageExtTools.h"
#include "Assembler.h"
//#include "MainFrm.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// COptionsStor: program options loading and saving

static TCHAR szTabDefault[] = _T("tasm80.tab");
static TCHAR szIncludeDefault[] = _T(".\\Include");
static TCHAR szPluginFileDefault[] = _T("asm86.dll");

//Set options
void COptionsStor::Load()
{
	m_asmTabFile = szTabDefault;
	m_asmIncludePath = szIncludeDefault;
	m_asmPluginFile = szPluginFileDefault;
	m_asmErrorChk = chkNoCase | chkIndirect;
}

