// Options.h - header file
//
// Copyright (C) 2000 Jeremy Goetsch (jeremy@acz.org)
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//

// maximum number of external tool items
#define MAX_EXT_TOOLS		15

// buffer sizes
#define MAX_LINE_LENGTH		256
#define MAX_EXPR_LENGTH		128
#define MAX_LABEL_LENGTH	32
#define MAX_TAB_LINE		128

#define STR_ASMIDE_VER		"400h"

/////////////////////////////////////////////////////////////////////////////
// COptionsStor: program options storage

#define NUM_COLORS		4
/*
#define COLOR_LABEL		GetOptions()->m_crColors[0]
#define COLOR_DIRECTIVE	GetOptions()->m_crColors[1]
#define COLOR_COMMENT	GetOptions()->m_crColors[2]
#define COLOR_STRING	GetOptions()->m_crColors[3]
*/

class COptionsStor : public CObject
{
public:
	void Load();

public:

	// Assembly options
	CString		m_asmTabFile;		// table filename
	CString		m_asmIncludePath;	// include path
	CString		m_asmPluginFile;	// plugin dll file name
	UINT		m_asmErrorChk;		// error checking bits
};
